Skip to main content
GET
/
api
/
social-accounts
cURL
curl --request GET \
  --url https://api.opus.pro/api/social-accounts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "postAccountId": "postAccountId_xxx1",
      "subAccountId": "subAccountId_xxx1",
      "platform": "FACEBOOK_PAGE",
      "extUserId": "extUserId_xxx",
      "extUserName": "Page Name",
      "extUserPictureLink": "https://example.com/avatar.png",
      "extUserProfileLink": "https://www.facebook.com/page_id"
    },
    {
      "postAccountId": "postAccountId_xxx2",
      "platform": "TIKTOK_BUSINESS",
      "extUserId": "extUserId_xxx",
      "extUserName": "tiktok_account",
      "extUserPictureLink": "https://example.com/avatar.jpeg",
      "extUserProfileLink": "https://www.tiktok.com/@username"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

q
enum<string>
required

Query type

Available options:
mine
Example:

"mine"

Response

200 - application/json

Successfully retrieved social accounts

data
object[]
required